function init(hero) {
    hero.setName("Hawk");
    hero.setTier(6);
    hero.setVersion("\u00A74\u00A7lT\u00A76\u00A7le\u00A7a\u00A7le\u00A7d\u00A7ln \u00A7b\u00A7lT\u00A7a\u00A7li\u00A76\u00A7lt\u00A7d\u00A7la\u00A7b\u00A7ln\u00A74\u00A7ls\u00A7r");
    
    hero.setHelmet("Mask");
    hero.setChestplate("Chestplate");
    hero.setLeggings("Pants");
    hero.setBoots("Boots");
    
    hero.addPowers("mvh:tthawk");
    hero.addAttribute("PUNCH_DAMAGE", 5.5, 0);
    hero.addAttribute("WEAPON_DAMAGE", 2.5, 0);
    hero.addAttribute("JUMP_HEIGHT", 0.5, 0);
    hero.addAttribute("FALL_RESISTANCE", 4.0, 0);
    hero.addAttribute("SPRINT_SPEED", 0.4, 1);
    hero.addAttribute("IMPACT_DAMAGE", 0.5, 1);

    hero.addKeyBind("RAGE", "Adrenaline", 1);

    hero.setDefaultScale(1.1);

    hero.addAttributeProfile("BLOODLUST", rageProfile);
    hero.setAttributeProfile(getAttributeProfile);
}

function isModifierEnabled(entity, modifier) {
    if (modifier.name() == "fiskheroes:transformation|bloodlust") {
        var bloodlust = entity.getData("mvh:dyn/bloodlust");
        return (modifier.id() == "bloodlust" ? bloodlust : !bloodlust);
    }
}
function rageProfile(profile) {
    profile.addAttribute("FALL_RESISTANCE", 1, 1);
    profile.addAttribute("PUNCH_DAMAGE", 7, 0);
    profile.addAttribute("WEAPON_DAMAGE", 0.6, 1);
    profile.addAttribute("SPRINT_SPEED", 0.35, 1);
    profile.addAttribute("BASE_SPEED", 0.15, 1);
}

function getAttributeProfile(entity) {
    return entity.getData("mvh:dyn/bloodlust") ? "BLOODLUST" : null;
}